Package org.gradle.api.artifacts.repositories

## Interface MavenRepositoryContentDescriptor

- All Superinterfaces:
    `InclusiveRepositoryContentDescriptor`, `RepositoryContentDescriptor`

      public interface MavenRepositoryContentDescriptor
      extends RepositoryContentDescriptor

  Extends the repository content descriptor with Maven repositories specific options.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `releasesOnly()` | Declares that this repository only contains releases.
    `void` | `snapshotsOnly()` | Declares that this repository only contains snapshots.

    - ### Methods inherited from interface org.gradle.api.artifacts.repositories.RepositoryContentDescriptor

      `excludeGroup, excludeGroupByRegex, excludeModule, excludeModuleByRegex, excludeVersion, excludeVersionByRegex, includeGroup, includeGroupByRegex, includeModule, includeModuleByRegex, includeVersion, includeVersionByRegex, notForConfigurations, onlyForAttribute, onlyForConfigurations`

- - ### Method Detail

    - #### releasesOnly

          void releasesOnly()

      Declares that this repository only contains releases.

    - #### snapshotsOnly

          void snapshotsOnly()

      Declares that this repository only contains snapshots.